Script/console and http-proxy with Authentication


#1

Hi group,

my gem ist working like a charm with http_proxy (and friends)
environment-variables as described here
http://blog.pomozov.info/posts/the-end-of-gem-vs-proxy-war.html

But I have a problem (on windows) with

ruby script/plugin discover
c:/ruby/lib/ruby/1.8/open-uri.rb:287:in open_http': 407 Proxy Authentication Required ( Der ISA Server erfordert Autorisierung, um die Anfrage durchfhren zu k?nen. Der Zugriff auf den Webproxydienst wird verweigert. ) (OpenURI::HTTPError) from c:/ruby/lib/ruby/1.8/open-uri.rb:626:inbuffer_open’
from c:/ruby/lib/ruby/1.8/open-uri.rb:164:in open_loop' from c:/ruby/lib/ruby/1.8/open-uri.rb:162:incatch’
from c:/ruby/lib/ruby/1.8/open-uri.rb:162:in open_loop' from c:/ruby/lib/ruby/1.8/open-uri.rb:132:inopen_uri’
from c:/ruby/lib/ruby/1.8/open-uri.rb:528:in open' from c:/ruby/lib/ruby/1.8/open-uri.rb:30:inopen’
from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/
plugin.rb:687:in scrape' from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/ plugin.rb:661:inparse!’
from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/
plugin.rb:660:in each' from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/ plugin.rb:660:inparse!’
from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/
plugin.rb:476:in parse!' from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/ plugin.rb:492:inparse!’
from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/
plugin.rb:918
from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require' from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from script/plugin:3


Any hints?

Thanks

Kim